<?php

Route::get('/', 'NewsBaseController@index')->name('index');



Route::middleware('can:news:subcategories')->name('subcategories.')->prefix('/subcategories')->group(function() {
    
    Route::get('/', 'SubcategoriesController@index')->name('index');
});

Route::middleware('can:news:authors')->name('authors.')->prefix('/authors')->group(function() {
    
    Route::get('/', 'AuthorsController@index')->name('index');
});

Route::middleware('can:news:tags')->name('tags.')->prefix('/tags')->group(function() {
    
    Route::get('/', 'TagsController@index')->name('index');
});

Route::middleware('can:news:articles')->name('articles.')->prefix('/articles')->group(function() {
    
    Route::get('/', 'ArticlesController@index')->name('index');
});